Skip to main content
GET
/
v2
/
users
/
{user_id}
Get a user
curl --request GET \
  --url https://api.arize.com/v2/users/{user_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "VXNlcjoxMjM0NQ==",
  "name": "Jane Smith",
  "email": "jane.smith@example.com",
  "created_at": "2024-01-01T12:00:00Z",
  "status": "active",
  "role": {
    "type": "predefined",
    "name": "member"
  },
  "is_developer": true
}

Authorizations

Authorization
string
header
required

Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format

Path Parameters

user_id
string
required

The unique user identifier (base64) A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

Response

An account user object

An account user represents a member of the account. Users can be listed, updated, or removed from the account.

id
string
required

A universally unique identifier (base64-encoded opaque string).

Example:

"RW50aXR5OjEyMzQ1"

name
string
required

Display name of the user

email
string<email>
required

An email address

Example:

"user@example.com"

created_at
string<date-time>
required

Timestamp for when the user was created

status
enum<string>
required

Current status of the user in the account.

  • active: User has verified their email and can access the platform.
  • invited: User has been invited and their verification token is still valid.
  • expired: User was invited but their verification token has expired or is missing. A new invite is required.
Available options:
active,
invited,
expired
role
object
required

An account-level role assignment. Discriminated by type:

  • predefined: one of the predefined roles (admin, member, annotator)
  • custom: a custom RBAC role identified by its ID

Note: custom role assignments are not yet supported and are reserved for future use.

is_developer
boolean
required

Whether the user has developer permissions (can use the Arize API)